<p class="foldertitle">
    <%= path(@folder, false) %>
    &nbsp;
<% if @logged_in_user.can_update_folderinfo?(@folder) %>
    <a href="#" onclick="ShowProperties();" class="small" id="rights_link">properties</a>
    <a href="#" onclick="ShowList();" class="small" id="list_link" style="display:none;">back to folder</a>
<% end %>
    <%= link_to 'RSS', { :controller => 'folder', :action => 'feed', :id => controller.folder_id, :access_key => @logged_in_user.rss_access_key }, { :class => 'small' } %><%= link_to '(!)', { :controller => 'folder', :action => 'feed_warning' }, { :class => 'small', :style => 'margin-left:1px;' } %>
</p>

<div id="list" style="position:relative;"><div>

<% if flash[:folder_error] %>
    <div id="error"><%= flash[:folder_error] %></div>
<% end %>
<% if flash[:folder_info] %>
    <div id="confirmation"><%= flash[:folder_info] %></div>
<% end %>
<% if @folder.note_inherited %>
    <div id="note"><%= @folder.note_inherited %></div>
<% end %>

<% form_tag({:controller => 'folder', :action => 'multichange', :id => params[:id]}, {:name => 'folderlist', :id=>'folderlist'}) do %>


    <table class="grid">
        <tr>
            <th></th>
            <th></th>
                        <th width="239"><%= link_order 'Name', 'name' %></th>
            <th width="82"><%= link_order 'Size', 'filesize' %></th>
            <th><%= link_order 'Date Modified', 'date_modified' %></th>
            <th></th>
            <th></th>
            <th></th>
        </tr>
<% if @folder_up %>
        <tr class="<%= cycle('even', 'odd') %>">
            <td></td>
            <td><%= image_tag('folder.png') %></td>
            <td><%= link_to image_tag('arrow_up.png') + "<i>go up one folder</i>", { :action => 'list', :id => @folder_up }, {:title => "Go one folder up" } %></td>
            <td>--</td>
            <td>--</td>
            <td></td>
            <td></td>
            <td></td>
        </tr>
<% end %>
<% @folders.each do |folder| %>
        <tr class="<%= cycle('even', 'odd') %>">
          <td> <%= check_box('checked_folder', folder.id, {}, 'yes', 'no') %></td>
            <td><%= image_tag('folder.png') %></td>
            <td><%= link_to h(folder.name), :action => 'list', :id => folder %></td>
            <td>--</td>
            <td><%= folder.date_modified.to_formatted_s(format=:short) %></td>
            <td>
    <% if @can_update %>
                <%= link_to image_tag('edit.png'), { :action => 'rename', :id => folder}, { :title => 'Rename this folder' } %>
    <% end %>
            </td>
            <td>
    <% if @can_delete %>
                <%= link_to image_tag('delete.png'), {:action => 'destroy', :id => folder}, { :title => 'Delete this folder', :confirm => "All files and subfolders will be deleted!\nAre you sure?" } %>
    <% end %>
            </td>
            <td></td>
            <td><% if @logged_in_user.is_admin? %>
              <%= link_to image_tag('log.png'),  {:controller => 'admin_tool', :action => 'show_log', :id => folder }%>
</%>              <%end%></td>
        </tr>
<% end %>
<% @myfiles.each do |myfile| %>
        <tr class="<%= cycle('even', 'odd') %>">
               <td> <%= check_box('checked_file', myfile.id, {}, 'yes', 'no') %></td>
               <td><%= image_tag(myfile.icon_file) %></td>
         			<td><%= link_to h(myfile.short_fname), {:controller => 'file', :action => 'download', :id => myfile}, {:title => myfile.filename} %></td>
            <td><%= myfile.filesize %> KB</td>
            <td><%= myfile.date_modified.to_formatted_s(format=:short) %></td>
            <td>
    <% if @can_update %>
                <%= link_to image_tag('edit.png'), { :controller => 'file', :action => 'rename', :id => myfile }, { :title => 'Rename this file' } %>
    <% end %>
            </td>
            <td>
    <% if @can_delete %>
                <%= link_to image_tag('delete.png'), { :controller => 'file', :action => 'destroy', :id => myfile }, { :title => 'Delete this file', :confirm => 'Are you sure?' } %>
    <% end %>
            </td>
            <td>
    <% if myfile.indexed %>
      <%= link_to image_tag('zoom.png'), { :controller => 'file', :action => 'preview', :id => myfile }, { :title => 'Preview', :class => 'noBackground' } %>
    <% end %>
            </td>
    <% if @logged_in_user.is_admin? %>
            
      <td>        <%= link_to image_tag('log.png'), {:controller => 'admin_tool', :action => 'show_log', :id => myfile, :file => true}, { :title => 'View log'} %><%end%>
              </td>
        </tr>
<% end %>
    </table><br>                                          
    
<%if @can_delete%><%= select 'checked', 'action', [['download all'], ['delete'], ['add to clipboard']] %>    
<input type="submit" name="Apply" value="Apply"
onClick="if (document.folderlist.checked_action.value == 'delete') {return confirmSubmit()} else {return true}">

    <% end%>
    <% unless @logged_in_user.clipboards.size == 0 || !@logged_in_user.can_create(controller.folder_id) 
      folder = @logged_in_user.no_folders_clipboard
      file = @logged_in_user.no_files_clipboard 
      text = "Move"
      text << " " << folder.to_s << " folders" if folder
      text << " and" if folder && file
      text << " " << file.to_s << " files" if file
      text << " from clipboard to this folder"
      %> 
      <%= link_to text, {:controller => 'folder', :action => 'multimove', :id => @folder}%> | <%= link_to "Remove files from clipboard", {:controller => 'folder', :action => 'cancel_moving', :id => @folder}%>
 <%end%>      <%end%>

</div></div>

<% reset_cycle %>
<% if @logged_in_user.can_update_folderinfo?(@folder) %>

<div id="folder_rights" style="display:none;position:relative;"><div>

    <% form_tag :action => 'update_permissions', :id => params[:id] do %>
<% if @logged_in_user.can_update_perms? %>        <table>
            <tr>
                <th></th>
                <th></th>
                <th class="rights">Create</th>
                <th class="rights">Read</th>
                <th class="rights">Update</th>
                <th class="rights">Delete</th>
            </tr>
    <% Group.find(:all, :order => 'name').each do |group| %>
            <tr class="<%= cycle('even', 'odd') %>">
        <% disabled = group.is_the_administrators_group? %>
        <% if disabled %>
                <td><%= image_tag('group_grey.png') %></td>
                <td style="color:#818181;"><%= h(group.name) %></td>
        <% else %>
                <td><%= image_tag('group.png') %></td>
                <td><%= h(group.name) %></td>
        <% end %>
                <td class="rights"><%= CRUD_check_box('create', group.id, controller.folder_id, disabled) %></td>
                <td class="rights"><%= CRUD_check_box('read', group.id, controller.folder_id, disabled) %></td>
                <td class="rights"><%= CRUD_check_box('update', group.id, controller.folder_id, disabled) %></td>
                <td class="rights"><%= CRUD_check_box('delete', group.id, controller.folder_id, disabled) %></td>
            </tr>                   
            
    <% end %>
  </table>
      <br> <%= check_box('update_recursively', 'checked', {}, 'yes', 'no') %> Apply changes in permissions to subfolders
<hr>      Owner of folder:         
<input  type='text' id='owner' name='owner' value=<%= @folder.user.name %> />      <br>
<%= check_box('owner_recursive', 'checked', {}, 'yes', 'no') %> Apply changes in ownership to subfolders
      <hr>   <% end %>
<br>        <label for="folder_note">Folder note:</label> <%= check_box('folder','note_inheritable', {}, 1, 0) %> Make sub-folders inherit this note<br>
      <%= text_area 'folder', 'note', :cols => 60, :rows => 3 %>
      <br>        <label for="folder_note_upload">Upload instructions:</label> <%= check_box('folder','note_upload_inheritable', {}, 1, 0) %> Make sub-folders inherit these instructions<br>
            <%= text_area 'folder', 'note_upload', :cols => 60, :rows => 3 %>
</em>

      <br>
      <%= submit_tag 'Save' %>
    <% end %>
</div></div>
<% end %>